#testimonials_header {
    top: -30px;
}

#testimonials_container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: stretch;
    padding: 0 10%;
}

@media(max-width: 1200px) {
    #testimonials_container {
        padding: 0 5%;
    }
}

@media(max-width: 1000px) {
    #testimonials_container {
        padding: 0 2%;
    }
}

#testimonials_container .testimonial {
    width: 310px;
    height: auto;
    background-image: image-set(url('../../images/icon-frame.avif') type('image/avif'),
            url('../../images/icon-frame.webp') type('image/webp'),
            url('../../images/icon-frame.png') type('image/png'));
    background-size: contain;
    background-repeat: no-repeat;
    filter: drop-shadow(-1px 2px 2px rgba(0, 0, 0, 0.6));
    padding: 48px 26px 26px 26px;
    margin: 0 10px;
}

.testimonial-card {
    box-sizing: border-box;
    color: black;
}

.card-header {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.avatar-container {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 15px;
    flex-shrink: 0;
}

.avatar {
    box-sizing: border-box;
    position: relative;
    border-radius: 50%;
    padding: 4px;
    box-shadow: inset 0 0 0 2px #4D4F6E;
}

.avatar-large {
    width: 80px;
    height: 80px;
}

.avatar-x-large {
    width: 144px;
}

.avatar-image {
    max-width: 100%;
    vertical-align: middle;
    border-radius: 50%;
}

.avatar-frame {
    position: absolute;
    pointer-events: none;
}

.avatar-large .avatar-frame {
    top: -10%;
    left: -10%;
    max-width: 120%;
}

.avatar-x-large .avatar-frame {
    top: -12.5%;
    left: -12.5%;
    max-width: 125%;
}

.user-info {
    display: flex;
    flex-direction: column;
}

.user-name {
    font-weight: bold;
    font-size: 1.3rem;
    display: inline-block;
    align-self: flex-start;
    font-family: 'lalezar';
}

.user-job {
    font-size: 1.1rem;
    display: inline-block;
    align-self: flex-start;
    font-family: 'lalezar';
}

.card-body {
    font-family: 'vazirmatn';
    font-size: 1rem;
}


.testimonials-bg {
    position: relative;
    z-index: 4;
    height: auto;
    width: 100%;
    box-shadow: 0 -6px 20px 0px #0a0600d1;
}

#birck_with_window {
    width: 100%;
    height: 40vh;

    background-image: image-set(url('../../images/brick-with-flower.avif') type('image/avif'),
            url('../../images/brick-with-flower.webp') type('image/webp'),
            url('../../images/brick-with-flower.png') type('image/png'));
    background-repeat: repeat-x repeat-y;
    background-position: center top;
    background-size: auto 100%;
}

#simple_birck {
    width: 100%;
    height: 50vh;

    background-image: image-set(url('../../images/simple-brick.avif') type('image/avif'),
            url('../../images/simple-brick.webp') type('image/webp'),
            url('../../images/simple-brick.png') type('image/png'));
    background-repeat: repeat-x repeat-y;
    background-position: center top;
    background-size: auto 80%;
}

@media (min-width: 2000px) {
    #testimonials_container .testimonial {
        width: 20%;
        padding: 3% 2%;
    }

    .user-name {
        font-size: 2rem;
    }

    .user-job {
        font-size: 1.5rem;
    }

    .card-body {
        font-size: 1.4rem;
    }
}

@media (max-width: 1300px) {
    #testimonials_container {
        padding: 0 5%;
    }
}

@media (max-width: 1200px) {
    #testimonials_container {
        padding: 0 2%;
    }
}

@media (max-width: 900px) {
    #testimonials_container .testimonial {
        padding: 38px 21px 26px 21px;
        margin: 0 10px;
    }

    .card-header {
        margin-bottom: 0;
    }

    .user-name {
        font-size: 1.1rem;
    }

    .user-job {
        font-size: 1rem;
    }

    .card-body {
        font-size: 0.9rem;
    }
}

@media (max-width: 800px) {
    .testimonials-bg {
        --board-width: 384px;
    }

    #simple_birck {
        height: calc((var(--board-width) + 20px)/1.5*3 + 160px);
        background-size: auto calc( 80% * 50vh / ((var(--board-width) + 20px)/1.5*3 + 160px));
    }

    #testimonials_container {
        height: auto;
        align-items: center;
        flex-direction: column;
    }

    #testimonials_container .testimonial {
        width: var(--board-width);
        aspect-ratio: 1.5;
        background-size: 100% 100%;
        padding: 50px 34px 29px 34px;
        margin: 10px 0;
    }

    .card-header {
        margin-bottom: 10px;
    }

    .user-name {
        font-size: 1.3rem;
    }

    .user-job {
        font-size: 1.2rem;
    }

    .card-body {
        font-size: 1.1rem;
    }
}

@media (max-width: 500px) {
    .testimonials-bg {
        --board-width: 380px;
    }
}

@media (max-width: 400px) {
        #simple_birck {
        height: calc((var(--board-width) + 20px)/1.5*3 + 300px);
        background-size: auto calc( 80% * 50vh / ((var(--board-width) + 20px)/1.5*3 + 300px));
    }
    
    .testimonials-bg {
        --board-width: 280px;
    }
}

@media (max-width: 300px) {
    .testimonials-bg {
        --board-width: 180px;
    }
}